2019-03-20 08:55 - Takenori TAKAKI

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 4.1.0

Description

| felt that the project list on the Profile page looks better 'table’ style than 'ul' style. Especially on users with a large number of

registered projects.
Associated revisions

Revision 18012 - 2019-03-29 00:44 - Go MAEDA

Show projects using a table instead of an unordered list in the user profile page (#31066).

Patch by Takenori TAKAKI.

History

#1 - 2019-03-20 09:11 - Takenori TAKAKI
- File 31066.patch added

| made a patch and attached it.
#2 - 2019-03-20 14:49 - Bernhard Rohloff
+1 Looks very clean.

I'll test it when | find a free time slot.

#3 - 2019-03-20 15:18 - Go MAEDA
- File projects-indented@2x.png added

- Target version set to Candidate for next major release

Thank you for submitting the patch.

Takenori Takaki, | think it will be even better if subprojects are indented like admin/projects page. Is it possible?

Projects
Filters
Status: active kY Project: Apply 2 Clear
Project Public Created
eCookbook ’ 07/19/2006
Private child of eCookbook 07/19/2006
Child of private child 07/19/2006
eCookbook Subproject 1 / 07/19/2006
eCookbook Subproject 2 ’ 07/19/2006
OnlineStore 07/19/2006

#4 - 2019-03-22 05:09 - Takenori TAKAKI
- File users-memberships-indented-table.png added

- File 31066-indent-subproject.patch added

Maeda-san, Thank you for your feedback!
| also think that indented lists are better to see.
It is possible to indent in subprojects, by changing like the attached patch.

users-memberships-indented-table.png
#5 - 2019-03-22 09:02 - Go MAEDA
Thank you for the really nice improvement! But | encountered the following error while running test suites. Could you look into this?
Failure:
UsersControllerTest#test_show_displays_memberships_based_on_project_visibility [/Users/maeda/redmines/redmine—
trunk/test/functional/users_controller_test.rb:176]:
Expected at least 1 element matching "td:nth-of-type(l)>a", found O..
Expected 0 to be >= 1.
bin/rails test test/functional/users_controller_test.rb:171
#6 - 2019-03-22 14:55 - Takenori TAKAKI
- File 31066-fix-broken-tests.patch added
Go MAEDA wrote:

Thank you for the really nice improvement! But | encountered the following error while running test suites. Could you look into this?

Oops...Sorry...I could't notice the test broken.
| repaired the broken tests.

#7 - 2019-03-25 15:14 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

LGTM. Setting the target version to 4.1.0.

#8 - 2019-03-26 02:47 - Go MAEDA
- File 31066-group-memberships-by-project.patch added

I have slightly changed 31066-fix-broken-tests.patch.

¢ Use Enumerable#group_by outside the loop in order to avoid using Enumerable#select inside the loop. Maybe this is more efficient
¢ Remove "members" class from the table because "width: 45%" for td.roles looks too wide

#9 - 2019-03-26 03:38 - Go MAEDA
- File 31066-group-memberships-by-project.patch added

#10 - 2019-03-26 03:38 - Go MAEDA
- File deleted (31066-group-memberships-by-project.patch)

#11 - 2019-03-29 00:45 - Go MAEDA

- Subject changed from Change style of projects list from "ul" to "table", displayed on user profile to Show projects using a table instead of an
unordered list in the user profile page

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed. Thanks.
